Bug 180284 - xfontsel startup, high load and warnings with UTF-8
xfontsel startup, high load and warnings with UTF-8
Product: Fedora
Classification: Fedora
Component: xorg-x11-utils (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-02-06 16:32 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-20 17:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6138 None None None Never

  None (edit)
Description Ville Skyttä 2006-02-06 16:32:49 EST
When starting up xfontsel in a en_US.UTF-8 setup, it takes about 3 seconds
during which the CPU load is 100% and eventually loads with the warning:
"Warning: Missing charsets in String to FontSet conversion" output on the
console.  I'm guessing during the load it's doing something with the font
server.  Starting it without UTF-8 (LANG=en_US xfontsel) brings it up
immediately without warnings.

I'm actually hunting the same thing (slow high-load startup, warnings, incorrect
non-ASCII fonts) for the XEmacs package in FE devel, but found that xfontsel
exhibits the same behaviour and it's a lot smaller thing which could be easier
to use in tracking the problem.  Ideas?  FWIW, this is on x86_64.
Comment 1 Mike A. Harris 2006-02-08 20:34:53 EST
I don't recall seeing any reports like this so far, and there's not a lot
of info to really diagnose the problem without details and reproduceability.
Can you strace/ltrace/gdb it and try to narrow it down?  That would potentially

I'd also recommend filing it in X.Org bugzilla, in case there are
corelations there as well.

Comment 2 Ville Skyttä 2006-02-09 02:39:28 EST
Yep, I know there's not too much info here yet, but I was hoping it'd be easy to

Anyway, I've run strace and ltrace when starting up xfontsel with and without
UTF-8 $LANG, results at http://cachalot.mine.nu/tmp/xfontsel/ .  Those results
don't tell me much, but it appears that the strace outputs (which are pretty
diffable) differ significantly in the amount of -EAGAINs for some read()s. 
Also, I've verified that it's (unsurprisingly?) xfs that is consuming the CPU
time when xfontsel is launched in UTF-8 $LANG mode.  I'll require some
hand-holding with gdb'ing the process if it's needed.

Will report to x.org bugzilla if this is still and issue and not reproduced
at/after FC5test3.
Comment 3 Mike A. Harris 2006-02-21 05:38:35 EST
Does the problem occur in FC5t3 still?  If so, can you file a report to
X.Org and report back?

Comment 4 Ville Skyttä 2006-02-21 15:34:10 EST
I'm running latest Rawhide updated from FC5t2 (haven't installed "vanilla"
FC5t3), and the problem is exactly the same as before.

What product/version/component would you file this against in
Comment 5 Ville Skyttä 2006-03-05 03:24:28 EST
Filed at https://bugs.freedesktop.org/show_bug.cgi?id=6138
Comment 6 Ville Skyttä 2006-03-20 17:26:02 EST
I can no longer reproduce this with FC5 final, assuming fixed.

Note You need to log in before you can comment on or make changes to this bug.